### A free/open-source library for quantitative finance

Classes | Public Member Functions
WriterExtensibleOption Class Reference

Writer-extensible option. More...

`#include <ql/experimental/exoticoptions/writerextensibleoption.hpp>`

Inheritance diagram for WriterExtensibleOption:
[legend]

List of all members.

## Classes

class | arguments
| Additional arguments for writer-extensible option. More...
class | engine
| Base engine. More...

## Public Member Functions

| WriterExtensibleOption (const boost::shared_ptr< PlainVanillaPayoff > &payoff1, const boost::shared_ptr< Exercise > &exercise1, const boost::shared_ptr< PlainVanillaPayoff > &payoff2, const boost::shared_ptr< Exercise > &exercise2)
boost::shared_ptr< Payoff > | payoff2 ()
boost::shared_ptr< Exercise > | exercise2 ()
bool | isExpired () const
| returns whether the instrument might have value greater than zero.
void | setupArguments (PricingEngine::arguments *) const

## Detailed Description

Writer-extensible option.

## Constructor & Destructor Documentation

WriterExtensibleOption | ( | const boost::shared_ptr< PlainVanillaPayoff > & | payoff1,
|  | const boost::shared_ptr< Exercise > & | exercise1,
|  | const boost::shared_ptr< PlainVanillaPayoff > & | payoff2,
|  | const boost::shared_ptr< Exercise > & | exercise2
| ) |  |

Parameters:

  payoff1 | The first payoff
  exercise1 | The first exercise date
  payoff2 | The payoff of the extended option
  exercise2 | The second exercise date

## Member Function Documentation

void setupArguments | ( | PricingEngine::arguments * |  | ) | const`[virtual]`

When a derived argument structure is defined for an instrument, this method should be overridden to fill it. This is mandatory in case a pricing engine is used.

Reimplemented from Option.